org.hibernate.search.elasticsearch.analyzer.definition.impl

## Class ElasticsearchAnalysisDefinitionRegistryBuilderImpl

- java.lang.Object
- - org.hibernate.search.elasticsearch.analyzer.definition.impl.ElasticsearchAnalysisDefinitionRegistryBuilderImpl

- All Implemented Interfaces:
    ElasticsearchAnalysisDefinitionRegistryBuilder

      public class ElasticsearchAnalysisDefinitionRegistryBuilderImpl
      extends Object
      implements ElasticsearchAnalysisDefinitionRegistryBuilder

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticsearchAnalysisDefinitionRegistryBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchAnalyzerDefinitionContext` | `analyzer(String name)` Start an analyzer definition.
    `void` | `build(ElasticsearchAnalysisDefinitionRegistry registry)`
    `ElasticsearchAnalysisComponentDefinitionContext` | `charFilter(String name)` Start a char filter definition.
    `ElasticsearchNormalizerDefinitionContext` | `normalizer(String name)` Start a normalizer definition.
    `ElasticsearchAnalysisComponentDefinitionContext` | `tokenFilter(String name)` Start a token filter definition.
    `ElasticsearchAnalysisComponentDefinitionContext` | `tokenizer(String name)` Start a tokenizer definition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElasticsearchAnalysisDefinitionRegistryBuilderImpl

          public ElasticsearchAnalysisDefinitionRegistryBuilderImpl()

  - ### Method Detail

    - #### analyzer

          public ElasticsearchAnalyzerDefinitionContext analyzer(String name)

      Description copied from interface: `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Start an analyzer definition.
      Specified by:
        `analyzer` in interface `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Parameters:
        `name` - The name used to reference this analyzer (both in Elasticsearch and in Hibernate Search).
      Returns:
        The analyzer definition context, allowing to define the analyzer's components (tokenizer, ...).

    - #### normalizer

          public ElasticsearchNormalizerDefinitionContext normalizer(String name)

      Description copied from interface: `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Start a normalizer definition.
      Specified by:
        `normalizer` in interface `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Parameters:
        `name` - The name used to reference this normalizer (both in Elasticsearch and in Hibernate Search).
      Returns:
        The normalizer definition context, allowing to define the normalizer's components (token filters, ...).

    - #### tokenizer

          public ElasticsearchAnalysisComponentDefinitionContext tokenizer(String name)

      Description copied from interface: `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Start a tokenizer definition.
      Specified by:
        `tokenizer` in interface `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Parameters:
        `name` - The name used to reference this tokenizer `in analyzer definitions`.
      Returns:
        The tokenizer definition context, allowing to define the tokenizer's type and parameters.

    - #### charFilter

          public ElasticsearchAnalysisComponentDefinitionContext charFilter(String name)

      Description copied from interface: `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Start a char filter definition.
      Specified by:
        `charFilter` in interface `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Parameters:
        `name` - The name used to reference this char filter `in analyzer or normalizer definitions`.
      Returns:
        The char filter definition context, allowing to define the char filter's type and parameters.

    - #### tokenFilter

          public ElasticsearchAnalysisComponentDefinitionContext tokenFilter(String name)

      Description copied from interface: `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Start a token filter definition.
      Specified by:
        `tokenFilter` in interface `ElasticsearchAnalysisDefinitionRegistryBuilder`
      Parameters:
        `name` - The name used to reference this token filter `in analyzer or normalizer definitions`.
      Returns:
        The token filter definition context, allowing to define the token filter's type and parameters.

    - #### build

          public void build(ElasticsearchAnalysisDefinitionRegistry registry)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved